routes/web.php
<?php

Auth::routes();

Route::group(['middleware' => 'auth'], function () {

//home
Route::get('/','Site\SiteController@index');


//Advogado
Route::resource('/advogado', 'Advogado\AdvogadoController');


# /cliente
Route::resource('/cliente', 'Cliente\ClienteController');

# /evento
Route::resource('/tipo_eventos', 'Eventos\tipo\EventosController');

#calendario - D
Route::get('/eventos', 'Evento\EventoController@index')->name('eventos.index');
Route::post('/eventos', 'Evento\EventoController@novo')->name('evento.novo');
Route::post('/eventos_update', 'Evento\EventoController@update')->name('evento.update');

# /tipo_procesos
Route::resource('/tipo_processo', 'TipoProcesso\TipoProcessoController');

# /processos
Route::resource('/processo', 'Processo\ProcessoController');


# /vara
Route::resource('/vara', 'Vara\VaraController');

# /area_atuacao
Route::resource('/area_atuacao', 'AreaAtuacao\AreaAtuacaoController');

# /clientes
Route::get('/index',                  ['uses' => 'Cliente\ClienteController@index',   'as' => 'cliente.index']);
Route::get('/fisico',                 ['uses' => 'Cliente\ClienteController@createFisico','as' => 'cliente.fisicoCreate']);
Route::get('/juridico',               ['uses' => 'Cliente\ClienteController@createJuridico','as' => 'cliente.juridicoCreate']);
Route::post('/store-fisico',          ['uses' => 'Cliente\ClienteController@storeFisico',   'as' => 'cliente.fisicoStore']);
Route::post('/store-juridico',        ['uses' => 'Cliente\ClienteController@storeJuridico',   'as' => 'cliente.juridicoStore']);
Route::put('/update-fisico/{id}',     ['uses' => 'Cliente\ClienteController@updateFisico',    'as' => 'cliente.updateFisico']);
Route::put('/update-juridico/{id}',   ['uses' => 'Cliente\ClienteController@updateJuridico',    'as' => 'cliente.updateJuridico']);
Route::get('/edit-fisico/{id}',       ['uses' => 'Cliente\ClienteController@editFisico',    'as' => 'cliente.editFisico']);
Route::get('/edit-juridico/{id}',     ['uses' => 'Cliente\ClienteController@editJuridico',    'as' => 'cliente.editJuridico']);
Route::delete('/destroy-fisico/{id}', ['uses' => 'Cliente\ClienteController@destroyFisico', 'as' => 'cliente.destroyFisico']);
Route::delete('/destroy/{id}',        ['uses' => 'Cliente\ClienteController@destroyJuridico', 'as' => 'cliente.destroyJuridico']);





});







Auth::routes();

// Route::get('/home', 'HomeController@index')->name('home');

app/Evento.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Evento extends Model
{
    protected $fillable = [
        'nome', 'data_inicio', 'hora_inicio', 'data_termino', 'hora_termino'
    ];

    public function tipo_evento(){
        return $this->belongsTo('App\TipoEvento');
    }
}

app/Http/Controllers/Evento/EventoController.php
<?php

namespace App\Http\Controllers\Evento;

use App\Evento;
use App\Processo;
use Validator;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use App\Http\Controllers\Controller;
use Calendar;
use App\TipoEvento;

class EventoController extends Controller
{
    public function index() {
        $eventos = Evento::all();
        $tipo_eventos = TipoEvento::all();
        $processos = Processo::all()->where('statu_id', '1');
        $lista_eventos = [];
        foreach ($eventos as $key => $evento) {
            $lista_eventos[] = \Calendar::event(
                $evento->nome,
                false,
                new \DateTime($evento->data_inicio),
                new \DateTime($evento->data_termino.' 23:59:59'),
                $evento->id,
                [
                    'color' => $evento->tipo_evento->cor,
                ]
            );
        }
        $calendario = Calendar::addEvents($lista_eventos )->setOptions([
            'editable' => true,
            'selectable' => true,


        ])->setCallbacks([
            'dayClick' => 'function(date, jsEvent, view) {jQuery.noConflict();
            $("#criarEvento").modal("show");
            $("#data_inicio").val(moment(date).format("YYYY-MM-DD"))
            $("#data_termino").val(moment(date).format("YYYY-MM-DD"))
            console.log(moment(date).format("YYYY-MM-DD"))}',

            /*'eventClick' => 'function(calEvent, jsEvent, view) {alert("Clickou xD evento calEvent.id")}',*/

             'eventClick' => 'function(calEvent, jsEvent, view) {jQuery.noConflict();
             $("#editarEvento").modal("show");
             $("#nomeevento").val(calEvent.title);
             
             $("#tipo_evento_id").val('.$evento->tipo_evento_id.');
             $("#evento_id").val(calEvent.id); 
             $("#processo").val('.$evento->processo_id.');
             
             console.log(calEvent); 
             
             var data_inicio = calEvent.start;
             $("#data_inicio1").val(data_inicio.format("YYYY-MM-DD"));
             var data_termino = moment(calEvent.end).format("YYYY-MM-DD");
             $("#data_termino1").val(data_termino);
             
             }',
            'eventDrop' => 'function(event) {alert("Drag n drop")}',

        
            
            ]);

        ;
        $title = 'Eventos';
        // $eventos = TipoEvento::all();
            //  dd($calendario);
        return view('eventos.eventos', compact('calendario', 'title', 'tipo_eventos', 'eventos', 'processos'));
    }

    public function novo(Request $request) {
        $validator = Validator::make($request->all(), [
            'nome' => 'required',
            'data_inicio' => 'required',
            'data_termino' => 'required',
        ]);

        if ($validator->fails()) {
            \Session::flash('warning', 'Digite informações válidas.');
            return Redirect::to('/eventos')->withInput()->withErrors($validator);
        }

        $evento = new Evento();
        $evento->nome = $request['nome'];
        $evento->data_inicio = $request['data_inicio'];
        $evento->data_termino = $request['data_termino'];
        $evento->tipo_evento_id = $request['tipo_evento'];
        $evento->processo_id = $request['processo'];
        $evento->save();

        \Session::flash('sucess', 'Evento adicionado com sucesso.');
        return Redirect::to('/eventos');
    }

    public function update(Request $request) {

        $evento = Evento::find($request['evento_id']);
        $evento->nome = $request['nomeevento'];
        $evento->data_inicio = $request['data_inicio1'];
        $evento->data_termino = $request['data_termino1'];
        $evento->tipo_evento_id = $request['tipo_evento_id'];
        $evento->processo_id = $request['processo_id'];
        $evento->save();

        return Redirect::to('/eventos');
    }
}

app/Http/Controllers/Eventos/tipo/EventosController.php
<?php

namespace App\Http\Controllers\Eventos\tipo;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\TipoEvento;

class EventosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $title="Cadastro Tipo de Eventos";
        $eventos = TipoEvento::all();
        return view('eventos.tipo.index', ['eventos' => $eventos],compact('title'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $title="Cadastro de Eventos";
        return view('eventos.tipo.create',compact('title'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $eventos = new TipoEvento($request->all()); 
        $eventos->save();
        return redirect(route('tipo_eventos.index') );
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $title = "Editar Evento";
        $eventos = TipoEvento::find($id);
        return view('eventos.tipo.edit', array('eventos'=>$eventos),compact('title'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $eventos = TipoEvento::find($id);
        $eventos->update($request->all());
        $eventos->save();

        return redirect(route('tipo_eventos.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $eventos = TipoEvento::findOrFail($id);       
        $eventos->delete();                              
        return redirect()->route('tipo_eventos.index');
    }
}

resources/views/Eventos/tipo/create.blade.php
@extends('layouts.app1')
@section('conteudo')
       
        {{ Form::open([ 'method'  => 'POST', 'route' => [ 'tipo_eventos.store' ] ]) }}
        @csrf   


        <div class="form-group col-xs-3">
            <label for="nome" style="vertical-align: inherit;">Nome Evento</label>
            <input type="text" class="form-control" id="nome" name="nome" placeholder="Nome Evento" required>
        </div>
        <div class="form-group col-xs-2">
            <label for="nome" style="vertical-align: inherit;">Cor Evento</label>
            <input type="color" class="form-control" name="cor" required>
        </div>

    <br><br><br><br>
    
        <div class="col-xs-3" >
            <!-- Submit -->
            <a href=" {{route('tipo_eventos.index')}} " class="btn btn-info btn-sm">Voltar</a>
            {{Form::reset('Limpar', ['class'=>'btn  btn-default btn-sm'])}}
            {{Form::submit('Enviar', ['class'=>'btn btn-success btn-sm'])}}
        </div>
        {{ Form::close() }}    
 
@endsection

resources/views/Eventos/tipo/edit.blade.php
@extends('layouts.app1')
@section('conteudo')
       
        {{ Form::open([ 'method'  => 'PUT', 'route' => [ 'tipo_eventos.update', $eventos->id ] ]) }}

        @csrf   

        <div class="form-group col-xs-3">
                <label for="nome" style="vertical-align: inherit;">Nome Evento</label>
                <input value=" {{$eventos->nome}} "  type="text" class="form-control" id="nome" name="nome" placeholder="Nome Evento" required>
            </div>
        <div class="form-group col-xs-2">
                <label for="nome" style="vertical-align: inherit;">Cor Evento</label>
                <input value=" {{$eventos->cor}} " type="color" class="form-control" name="cor" required>
            </div>
        <br><br><br><br>
    
        <div class="col-xs-3" >
            <!-- Submit -->
            <a href=" {{route('tipo_eventos.index')}} " class="btn btn-info btn-sm">Voltar</a>
            {{Form::reset('Limpar', ['class'=>'btn  btn-default btn-sm'])}}
            {{Form::submit('Enviar', ['class'=>'btn btn-success btn-sm'])}}
        </div>
        {{ Form::close() }}    
 
@endsection

resources/views/Eventos/tipo/index.blade.php
@extends('layouts.app1')
@section('conteudo')



<a href="{{ route('tipo_eventos.create')  }}" class="btn  btn-info"><i class="glyphicon glyphicon-plus"></i> Novo Evento</a>
<br><br>

<div class="col-xs-12">
    <!-- /.box-header -->
    <div class="box-body table-responsive no-padding">
      <table class="table table-hover">
        <tbody><tr>
            <th>ID</th>
            <th>Nome</th>
            <th>cor</th>
            <th class="text-center">Ação</th>
        </tr>
        <tr>
            @foreach ($eventos as $evento)
            <tr>
                <th>{{ $evento->id }}</th>
                <th>{{ $evento->nome }}</th>
                <td><div style="
                      width: 50px;
                      height: 20px;
                      background-color: {{$evento->cor}} ;
                    "></div></td>
                <td class="text-center"> 
                    {{ Form::open([ 'method'  => 'DELETE', 'route' => [ 'tipo_eventos.destroy', $evento->id ], 'onsubmit' => 'return confirm("Confirmar exclusão?")' ]) }}
                    @csrf
                    <a href="tipo_eventos/{{ $evento->id }}/edit " class="btn btn-warning">Editar</a>
                    {{ Form::submit('Excluir',['class' => 'btn btn-danger']) }}
                    {{ Form::close() }}
                </td>
            </tr>                
            @endforeach
      </tbody></table>
    </div>
    <!-- /.box-body -->
  </div>
  <!-- /.box -->
</div>

      
@endsection